Package ru.bitel.oss.systems.inventory.product.common.bean

# Class ProductPeriod

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.oss.systems.inventory.product.common.bean.ProductPeriod

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class ProductPeriod
    extends Id

flags:
0x01 - "нужно продлять" - продление прервано по нехватке денег. При поступлении денег должна произойти попытка списания/продления.
0x02 - "продление отложено", в этом случае сразу же создается новая запись. например был флаг 1 долгое время и теперь абонент заплатил - создается новый период.
0x04 - "завершено", окончание периода продукта.
0x08 - "пропорциональный", уменьшили период и переcчитали, например, закрыли период продукта досрочно; или же продлевали пропорционально до окончания базового периода.
0x16 - "заморожен", нужно будет при активации базового продлить период. Т.е. деньги уже взяли за весь период.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `FLAG_FINISHED` | 0x04
  `static int` | `FLAG_PROPORTIONAL` | 0x08
  `static int` | `FLAG_SPLITTED` | 0x02
  `static int` | `FLAG_SUSPENDED` | 0x01

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProductPeriod()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getAccountId()` |
  `java.util.Date` | `getActivationTime()` |
  `int` | `getContractId()` |
  `int` | `getFlags()` |
  `int` | `getProductId()` |
  `int` | `getProductSpecId()` |
  `java.util.Date` | `getProlongationTime()` |
  `java.util.Date` | `getTimeFrom()` |
  `java.util.Date` | `getTimeTo()` |
  `int` | `getVersion()` |
  `void` | `setAccountId​(int accountId)` |
  `void` | `setActivationTime​(java.util.Date activationTime)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setFlags​(int flags)` |
  `void` | `setProductId​(int productId)` |
  `void` | `setProductSpecId​(int specId)` |
  `void` | `setProlongationTime​(java.util.Date prolongationTime)` |
  `void` | `setTimeFrom​(java.util.Date timeFrom)` |
  `void` | `setTimeTo​(java.util.Date timeTo)` |
  `void` | `setVersion​(int version)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### FLAG_SUSPENDED

    public static final int FLAG_SUSPENDED
    0x01
    See Also:
      Constant Field Values

  - ### FLAG_SPLITTED

    public static final int FLAG_SPLITTED
    0x02
    See Also:
      Constant Field Values

  - ### FLAG_FINISHED

    public static final int FLAG_FINISHED
    0x04
    See Also:
      Constant Field Values

  - ### FLAG_PROPORTIONAL

    public static final int FLAG_PROPORTIONAL
    0x08
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### ProductPeriod

    public ProductPeriod()

- ## Method Details

  - ### getProductId

    public int getProductId()

  - ### setProductId

    public void setProductId​(int productId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId​(int accountId)

  - ### getProductSpecId

    public int getProductSpecId()

  - ### setProductSpecId

    public void setProductSpecId​(int specId)

  - ### getActivationTime

    public java.util.Date getActivationTime()

  - ### setActivationTime

    public void setActivationTime​(java.util.Date activationTime)

  - ### getTimeFrom

    public java.util.Date getTimeFrom()

  - ### setTimeFrom

    public void setTimeFrom​(java.util.Date timeFrom)

  - ### getTimeTo

    public java.util.Date getTimeTo()

  - ### setTimeTo

    public void setTimeTo​(java.util.Date timeTo)

  - ### getProlongationTime

    public java.util.Date getProlongationTime()

  - ### setProlongationTime

    public void setProlongationTime​(java.util.Date prolongationTime)

  - ### getFlags

    public int getFlags()

  - ### setFlags

    public void setFlags​(int flags)

  - ### getVersion

    public int getVersion()

  - ### setVersion

    public void setVersion​(int version)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`